# Risks

| Field | Type                                                  | Description   |
| ----- | ----------------------------------------------------- | ------------- |
| risks | \[[Risk](/company-data-api/graphql-objects/risk.md)!] | Array of risk |

Query example

```graphql
 query company($companyId: ID) {
  company(id: $companyId) {
        id
        risks {
            category
            lineage
            additionalInfo {
                name
                value
            }
            ratings {
                type
                links
                ... on RiskRatingInt {
                    type
                    links
                    current {
                        intValue
                        date
                    }
                    previous {
                        intValue
                        date
                    }
                    scale {
                        color
                        label
                        description
                        intValueRange {
                            gte
                            lte
                        }
                        colorGradient {
                            startColor
                            endColor   
                        }
                    }
                }
                ... on RiskRatingString {
                    type
                    links
                    current {
                        stringValue
                        date
                    }
                    previous {
                        stringValue
                        date
                    }
                    scale {
                        color
                        label
                        value
                        description
                    }
                }
                ... on RiskRatingFloat {
                    type
                    links
                    current {
                        floatValue
                        date
                    }
                    previous {
                        floatValue
                        date
                    }
                    scale {
                        color
                        label
                        description
                        colorGradient {
                            startColor
                            endColor
                        }
                        floatValueRange {
                            gt
                            gte
                            lt
                            lte
                        }
                    }
                }    
            }
            highlights {
                content
                occurred
                severity
                additionalInfo {
                    name
                    value
                }
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/risks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
